"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reverseHash = void 0;
async function sha256(message) {
    // encode as UTF-8
    const msgBuffer = new TextEncoder().encode(message);
    // hash the message
    const hashBuffer = await crypto.subtle.digest('SHA-256', msgBuffer);
    // convert ArrayBuffer to Array
    const hashArray = Array.from(new Uint8Array(hashBuffer));
    // convert bytes to hex string                  
    const hashHex = hashArray.map(b => b.toString(16).padStart(2, '0')).join('');
    return hashHex;
}
const reverseHash = async (sha256Hash) => {
    while (true) {
        let guess = crypto.randomUUID();
        console.log(`attempting to guess original text as "${guess}", I'm sure this is it!`);
        if (await sha256(guess) === sha256Hash) {
            return guess;
        }
        console.log("Darn, not it. Trying the next guess!");
    }
};
exports.reverseHash = reverseHash;
